<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class BuchungsvorgangWEBBasysFirmaHotel extends BuchungsvorgangWEBBASys
{
  protected function getKurse4Buchung()
  {
    $knr = SessionOperations::getVarValueWk(WBAnmeldungFirmaHotel::SESSION_NAME_FIRMAHOTEL_KNR);
    $tmp = array();
    if ($knr != '') {
      $dbkurse = DBWorkKurse::getDefaultInstance();

      $tmpkurs = $dbkurse->getKurs($knr); 

      $retour = new WeitereKursInfo();
      $retour->kursnummer = $knr;
      $retour->anzahl = 1;
      $retour->kursgebuehr = MathOperations::floatToString($tmpkurs->gebuehr);
      $retour->status = $tmpkurs->emailstatus;
      $retour->aussenstelle = $tmpkurs->aussenst;

      $tmp[] = $retour;
    }

    return $tmp;
  }

  protected function setWeitereHotelInfo($kurs, $i)
  {
    $hotelDatenInSession = \SessionOperations::getObjectFromSession(
      WBAnmeldungFirmaHotel::SESSION_NAME_HOTEL_DATEN,
      'AnmeldedatenHotel'
    );
    $kurs->setWeitereValue('hotelDaten', $i, $hotelDatenInSession[$i]);

    return $kurs;
  }

  public function cleanUp($pTechnischeProbleme = false)
  {
    parent::cleanUp($pTechnischeProbleme);
    if (!$pTechnischeProbleme) {
      SessionOperations::setVarValueWk(WBAnmeldungFirmaHotel::SESSION_NAME_FIRMAHOTEL_KNR, null);
      SessionOperations::setVarValueWk(WBAnmeldungFirmaHotel::SESSION_NAME_HOTEL_DATEN, null);
    }
  }
}